Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.agents
Class QuotaAgent

    java.lang.Object
      oracle.ifs.core.runtime.Server
          oracle.ifs.core.runtime.IfsServer
              oracle.ifs.core.runtime.ClusteredServer
                  oracle.ifs.core.agents.BaseAgent
                      oracle.ifs.core.agents.QuotaAgent

All Implemented Interfaces:
  IfsEventHandler, ServerInterface, TimerContext

    public class QuotaAgent

extends BaseAgent
implements IfsEventHandler

A QuotaAgent periodically calculates the Consumed Quota for directory users and updates the consumed storage.

The predicted consumed storage for each directory user and the number of events received is stored in a private class, ContentQuotaTracker. The Quota agent re-calculates the consumedStorage either when the predicted consumed storage is over the allocated storage, or when a timer event occurs and there has been some activity for the user since the last timer event.

(Unpublished)

Nested Class Summary

Nested classes/interfaces inherited from class oracle.ifs.core.runtime.IfsServer
`IfsServer.ServerRequest`

Field Summary
`static java.lang.String` | `IFS_SERVER_TIMER_ActivationPeriod`
`static java.lang.String` | `IFS_SERVER_TIMER_InitialDelay`
`static java.lang.String` | `IFS_SERVER_TIMER_InitialTimeOfDay`
`static java.lang.String` | `LAST_QUOTA_ACTIVE_COUNT`
`static java.lang.String` | `LAST_QUOTA_EXCEEDED_COUNT`
`protected int` | `m_LastQuotaActiveCount` The number of Quotas this agent recalculated due to activity in last timer period
`protected int` | `m_LastQuotaExceededCount` The number of Quotas this agent recalculated due to a "quota exceeded" detection in last timer period,
`protected java.util.Hashtable` | `m_QuotaTrackerTable` The hashtable that maps contentquota objects to the corresponding QuotaTracker objects
`protected int` | `m_TotalQuotaActiveCount` The number of Quotas this agent recalculated due to activity since starting.
`protected int` | `m_TotalQuotaExceededCount` The number of Quotas this agent recalculated due to a "quota exceeded" detection since starting.
`static java.lang.String` | `TOTAL_QUOTA_ACTIVE_COUNT`
`static java.lang.String` | `TOTAL_QUOTA_EXCEEDED_COUNT`

Fields inherited from class oracle.ifs.core.agents.BaseAgent
`ERROR_COUNT_CUMULATIVE, ERROR_COUNT_LAST_ACTIVATION`

Fields inherited from class oracle.ifs.core.runtime.ClusteredServer
`REQUESTTYPE_CHECK_REGISTRATION, REQUESTTYPE_FORCE_CHECK_REGISTRATION`

Fields inherited from class oracle.ifs.core.runtime.Server
`LEVEL_HIGH, LEVEL_LOW, LEVEL_MEDIUM, LEVEL_OFF`

Fields inherited from interface oracle.ifs.core.runtime.ServerInterface
`SERVERSTATUS_DISPOSED, SERVERSTATUS_RUNNING, SERVERSTATUS_STARTING, SERVERSTATUS_STOPPED, SERVERSTATUS_STOPPING, SERVERSTATUS_SUSPENDED, SERVERSTATUS_UNKNOWN`

Constructor Summary
`QuotaAgent()` Constructs the QuotaAgent.

Method Summary
`protected void` | `activate()` handle the timer expired request.
`void` | `disableEventListening()` Disable listening for ContentQuota object events.
`void` | `enableEventListening()` Enable listening for ContentQuota object events
`void` | `handleEvent(IfsEvent event)` Handles events on ContentQuota objects.
`protected void` | `handleResumeRequest()` handle the resume request.
`protected void` | `handleSuspendRequest()` handle the suspend request.
`void` | `initialize()` Initialize prior to running
`protected void` | `initOnRun()` Initialize at start of run method
`static void` | `main(java.lang.String[] args)` This is used to run the Quota Agent in the standalone mode.
`void` | `postRun()` Performs post-run tasks for this QuotaAgent.
`void` | `processEvent(IfsEvent event)` Process the next event
`protected void` | `publishProperties()`

Methods inherited from class oracle.ifs.core.agents.BaseAgent
`addToProperty, handleStopRequest, handleTimerExpired, incrementProperty, isAgent, publishProperty, run, standardPostRun, supportsSuspendResume`

Methods inherited from class oracle.ifs.core.runtime.ClusteredServer
`cancelRegistration, checkRegistration, deriveAgentIdentifier, deriveRunningServerIdentifier, getAgentIdentifier, getAgentIdentifierPrefix, getRegistrationPeriod, getRunningNodeIdentifier, getRunningNodeName, getRunningServerIdentifier, getRunningServersEnumeration, handleRequest, initializeRegistration, isPropertyReadonly, isRegistered, isServerRunning, isTokenNonCompeting, releaseTokenRegistration, requestForcedRegistrationCheck, requestRegistrationCheck`

Methods inherited from class oracle.ifs.core.runtime.IfsServer
`checkSession, connectSession, constructSession, convertTimerInterval, convertTimerInterval, convertTimerInterval, dispose, getLastTimerActivation, getNextTimerActivation, getService, getTimerActivationPeriod, getTimerClassName, getTimerConfiguration, handlePriorityChangeRequest, handlePropertyChangeRequest, handlePropertyChangeRequest, handleRequests, isTimerActive, postRequest, preRun, processEvents, queueEvent, resetTimer, restart, resume, setPriority, setProperty, setProperty, start, startTimer, stop, stopRequested, stopTimer, suspend, timerExpired, waitServer`

Methods inherited from class oracle.ifs.core.runtime.Server
`acquireSession, constructLibrarySessionPool, createServerState, deregister, disconnectSession, getConfigurationOverridesTable, getConfigurationTable, getCredential, getDesiredStatus, getIfsHome, getInitialConfigurationTable, getLoggerForLegacyLogging, getName, getNode, getNodeName, getOracleHome, getParameterTable, getPriority, getProperties, getProperty, getServerConfigurationName, getServerState, getServerStateValue, getServerType, getServiceName, getSession, getStateTable, getStatus, getSystemUserCredential, handleServerConfigurationOverrideRequest, handleServerStateEvent, initialize, initialize, isDisposed, isInitialized, isLogged, log, log, log, postAuditEvent, releaseSession, releaseSession, setDesiredStatus, setDesiredStatus, setSessionTimeoutPrevented, setStateProperty, setStatus, startStandalone, startStandalone, supportsPriority, toStatusLabel, toStatusLabel, toStatusLabel, verifyNotDisposed, verifyNotDisposed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IFS_SERVER_TIMER_ActivationPeriod

    public static final java.lang.String IFS_SERVER_TIMER_ActivationPeriod

See Also:
  Constant Field Values

### IFS_SERVER_TIMER_InitialTimeOfDay

    public static final java.lang.String IFS_SERVER_TIMER_InitialTimeOfDay

See Also:
  Constant Field Values

### IFS_SERVER_TIMER_InitialDelay

    public static final java.lang.String IFS_SERVER_TIMER_InitialDelay

See Also:
  Constant Field Values

### LAST_QUOTA_EXCEEDED_COUNT

    public static final java.lang.String LAST_QUOTA_EXCEEDED_COUNT

See Also:
  Constant Field Values

### TOTAL_QUOTA_EXCEEDED_COUNT

    public static final java.lang.String TOTAL_QUOTA_EXCEEDED_COUNT

See Also:
  Constant Field Values

### LAST_QUOTA_ACTIVE_COUNT

    public static final java.lang.String LAST_QUOTA_ACTIVE_COUNT

See Also:
  Constant Field Values

### TOTAL_QUOTA_ACTIVE_COUNT

    public static final java.lang.String TOTAL_QUOTA_ACTIVE_COUNT

See Also:
  Constant Field Values

### m_LastQuotaExceededCount

    protected int m_LastQuotaExceededCount

  Description copied from class: `QuotaAgent`
  The number of Quotas this agent recalculated due to a "quota exceeded" detection in last timer period,

  (Unpublished)

### m_TotalQuotaExceededCount

    protected int m_TotalQuotaExceededCount

  Description copied from class: `QuotaAgent`
  The number of Quotas this agent recalculated due to a "quota exceeded" detection since starting.

  (Unpublished)

### m_LastQuotaActiveCount

    protected int m_LastQuotaActiveCount

  Description copied from class: `QuotaAgent`
  The number of Quotas this agent recalculated due to activity in last timer period

  (Unpublished)

### m_TotalQuotaActiveCount

    protected int m_TotalQuotaActiveCount

  Description copied from class: `QuotaAgent`
  The number of Quotas this agent recalculated due to activity since starting.

  (Unpublished)

### m_QuotaTrackerTable

    protected java.util.Hashtable m_QuotaTrackerTable

  Description copied from class: `QuotaAgent`
  The hashtable that maps contentquota objects to the corresponding QuotaTracker objects

  (Unpublished)

Constructor Detail

### QuotaAgent

    public QuotaAgent()
               throws IfsException

  Constructs the QuotaAgent.

  Throws:
    `IfsException` - (IFS-46000) if the operation fails
  (Published)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Description copied from class: `QuotaAgent`
  This is used to run the Quota Agent in the standalone mode.

  Throws:
    `java.lang.Exception`

### initialize

    public void initialize()
                    throws java.lang.Exception

  Description copied from class: `QuotaAgent`
  Initialize prior to running

  Overrides:
    `initialize` in class `BaseAgent`
  Throws:
    `java.lang.Exception` - if the operation fails

### initOnRun

    protected void initOnRun()
                      throws java.lang.Exception

  Description copied from class: `BaseAgent`
  Initialize at start of run method

  Overrides:
    `initOnRun` in class `BaseAgent`
  Throws:
    `java.lang.Exception`

### handleSuspendRequest

    protected void handleSuspendRequest()
                                 throws java.lang.Exception

  Description copied from class: `QuotaAgent`
  handle the suspend request. Subclasses can override this to perform custom tasks as part of a Suspend request.

  Overrides:
    `handleSuspendRequest` in class `BaseAgent`
  Throws:
    `IfsException` - if operation fails
    `java.lang.Exception` - if the operation fails
  (Published)

### handleResumeRequest

    protected void handleResumeRequest()
                                throws java.lang.Exception

  Description copied from class: `QuotaAgent`
  handle the resume request. Subclasses can override this to perform custom tasks as part of a Resume request.

  Overrides:
    `handleResumeRequest` in class `BaseAgent`
  Throws:
    `IfsException` - if operation fails
    `java.lang.Exception` - if the operation fails
  (Published)

### activate

    protected void activate()
                     throws IfsException

  Description copied from class: `QuotaAgent`
  handle the timer expired request.

  Overrides:
    `activate` in class `BaseAgent`
  Throws:
    `IfsException` - if operation fails
  (Published)

### postRun

    public void postRun()

  Description copied from class: `QuotaAgent`
  Performs post-run tasks for this QuotaAgent.

  Overrides:
    `postRun` in class `BaseAgent`
  (Unpublished)

### enableEventListening

    public void enableEventListening()
                              throws IfsException

  Description copied from class: `QuotaAgent`
  Enable listening for ContentQuota object events

  Throws:
    `IfsException`
  (Unpublished)

### disableEventListening

    public void disableEventListening()
                               throws IfsException

  Description copied from class: `QuotaAgent`
  Disable listening for ContentQuota object events.

  Throws:
    `IfsException`
  (Unpublished)

### handleEvent

    public void handleEvent(IfsEvent event)
                     throws IfsException

  Description copied from class: `QuotaAgent`
  Handles events on ContentQuota objects. This queues the events for processing by the main agent thread.

  Specified by:
    `handleEvent` in interface `IfsEventHandler`
  Parameters:
    `event` - the event
  Throws:
    `IfsException` - if the operation fails
  (Published)

### processEvent

    public void processEvent(IfsEvent event)
                      throws IfsException

  Description copied from class: `QuotaAgent`
  Process the next event

  Overrides:
    `processEvent` in class `IfsServer`
  Parameters:
    `event` - The next event to process.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### publishProperties

    protected void publishProperties()
                              throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD